Bug 74477 - hosts are looked up in DNS first, despite nsswitch requesting otherwise
Summary: hosts are looked up in DNS first, despite nsswitch requesting otherwise
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-25 01:23 UTC by Aleksey Nogin
Modified: 2016-11-24 14:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-06 10:22:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2002-09-25 01:23:12 UTC
In /etc/nsswitch.conf I have the default

hosts:      files nisplus dns

However, for hosts that have both DNS and /etc/hosts entry, the DNS entry is
used and only in a host is not known to DNS, the /etc/hosts entry will be used.

This might have secutiry implications is certain cases, so setting "Severity:
security".

Comment 1 Jakub Jelinek 2002-10-18 20:15:02 UTC
Can you attach a strace output of such program plus what exactly do you have
in /etc/hosts?
Works just fine for me.

Comment 2 Aleksey Nogin 2003-01-06 10:22:50 UTC
I no longer can reproduce it, sorry.


Note You need to log in before you can comment on or make changes to this bug.